dnl Check for ALSA driver package.
AC_DEFUN(ALSA_CHECK_DRIVER, [
myprefix=$prefix
if test "$myprefix" = "NONE"; then
  myprefix=$ac_default_prefix
fi
OLD_CFLAGS="$CFLAGS"
CFLAGS="-I$myprefix/include"
dnl AC_MSG_RESULT("$CFLAGS")
AC_MSG_CHECKING(for alsa-driver package)

AC_TRY_COMPILE([
#include <linux/asound.h>
],[
void main(void)
{
#if !defined(SND_PROTOCOL_VERSION) || !defined(SND_PROTOCOL_INCOMPATIBLE)
#error not found
#else
#if !defined(SND_MIXER_IOCTL_ELEMENTS)
#error wrong version
#endif
  exit(0);
#endif
}
],
  AC_MSG_RESULT(present),
  [AC_MSG_RESULT(not found or wrong version);
   AC_MSG_ERROR([Install alsa-driver v0.3.0pre5+ package first...])]
)
CFLAGS="$OLD_CFLAGS"
])
